---
kind: ConfigMap
apiVersion: v1
metadata:
  name: nginx-cm
  namespace: ynydapp
  labels:
    cmii.type: frontend
data:
  nginx.conf: |
    server {
        listen       9528;
        server_name  localhost;
        gzip on;

        location / {
            root   /home/cmii-platform/dist;
            index  index.html index.htm;
        }

        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   html;
        }
    }
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-armypeople
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-armypeople
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-armypeople
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-armypeople
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-armypeople
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-armypeople:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-armypeople
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-armypeople
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-armypeople
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-armypeople
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-armypeople
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-multiterminal
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-multiterminal
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-multiterminal
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-multiterminal
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-multiterminal
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-multiterminal:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-multiterminal
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-multiterminal
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-multiterminal
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-multiterminal
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-multiterminal
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-base
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-base
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-base
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-base
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-base
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-base:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-base
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-base
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-base
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-base
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-base
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-mws
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-mws
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-mws
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-mws
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-mws
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-mws:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-mws
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-mws
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-mws
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-mws
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-mws
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-media
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-media
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-media
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-media
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-media
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-media:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-media
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-media
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-media
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-media
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-media
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-detection
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-detection
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-detection
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-detection
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-detection
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-detection:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-detection
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-detection
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-detection
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-detection
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-detection
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-pilot2-to-cloud
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-pilot2-to-cloud
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-pilot2-to-cloud
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-pilot2-to-cloud
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-pilot2-to-cloud
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-pilot2-to-cloud:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-pilot2-to-cloud
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-pilot2cloud
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-pilot2-to-cloud
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-pilot2-to-cloud
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-pilot2-to-cloud
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-splice
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-splice
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-splice
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-splice
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-splice
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-splice:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-splice
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-splice
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-splice
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-splice
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-splice
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-visualization
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-visualization
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-visualization
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-visualization
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-visualization
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-visualization:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-visualization
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-visualization
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-visualization
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-visualization
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-visualization
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-cms-portal
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-cms-portal
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-cms-portal
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-cms-portal
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-cms-portal
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-cms-portal:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-cms-portal
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-cmsportal
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-cms-portal
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-cms-portal
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-cms-portal
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-uas
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-uas
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 0
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-uas
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-uas
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-uas
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-uas:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-uas
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-uas
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-uas
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-uas
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-uas
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-suav-platform-supervisionh5
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-suav-platform-supervisionh5
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-suav-platform-supervisionh5
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-suav-platform-supervisionh5
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-suav-platform-supervisionh5
          image: 192.168.186.11:8033/cmii/cmii-suav-platform-supervisionh5:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-suav-platform-supervisionh5
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-supervisionh5
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-suav-platform-supervisionh5
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-suav-platform-supervisionh5
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-suav-platform-supervisionh5
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-share
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-share
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-share
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-share
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-share
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-share:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-share
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-share
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-share
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-share
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-share
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-ai-brain
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-ai-brain
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-ai-brain
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-ai-brain
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-ai-brain
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-ai-brain:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-ai-brain
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-ai-brain
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-ai-brain
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-ai-brain
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-ai-brain
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-qinghaitourism
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-qinghaitourism
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 0
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-qinghaitourism
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-qinghaitourism
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-qinghaitourism
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-qinghaitourism:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-qinghaitourism
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-qinghaitourism
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-qinghaitourism
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-qinghaitourism
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-qinghaitourism
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-securityh5
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-securityh5
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-securityh5
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-securityh5
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-securityh5
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-securityh5:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-securityh5
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-securityh5
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-securityh5
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-securityh5
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-securityh5
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-hljtt
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-hljtt
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 0
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-hljtt
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-hljtt
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-hljtt
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-hljtt:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-hljtt
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-hljtt
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-hljtt
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-hljtt
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-hljtt
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-seniclive
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-seniclive
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 0
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-seniclive
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-seniclive
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-seniclive
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-seniclive:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-seniclive
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-seniclive
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-seniclive
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-seniclive
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-seniclive
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-security
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-security
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-security
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-security
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-security
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-security:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-security
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-security
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-security
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-security
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-security
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-jiangsuwenlv
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-jiangsuwenlv
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 0
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-jiangsuwenlv
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-jiangsuwenlv
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-jiangsuwenlv
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-jiangsuwenlv:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-jiangsuwenlv
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-jiangsuwenlv
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-jiangsuwenlv
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-jiangsuwenlv
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-jiangsuwenlv
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-uasms
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-uasms
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 0
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-uasms
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-uasms
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-uasms
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-uasms:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-uasms
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-uasms
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-uasms
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-uasms
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-uasms
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uavms-platform-security-center
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uavms-platform-security-center
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uavms-platform-security-center
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uavms-platform-security-center
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uavms-platform-security-center
          image: 192.168.186.11:8033/cmii/cmii-uavms-platform-security-center:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uavms-platform-security-center
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-secenter
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uavms-platform-security-center
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uavms-platform-security-center
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uavms-platform-security-center
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-emergency-rescue
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-emergency-rescue
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-emergency-rescue
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-emergency-rescue
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-emergency-rescue
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-emergency-rescue:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-emergency-rescue
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-emergency
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-emergency-rescue
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-emergency-rescue
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-emergency-rescue
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-open
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-open
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-open
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-open
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-open
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-open:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-open
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-open
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-open
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-open
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-open
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-qingdao
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-qingdao
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 0
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-qingdao
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-qingdao
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-qingdao
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-qingdao:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-qingdao
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-qingdao
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-qingdao
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-qingdao
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-qingdao
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-oms
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-oms
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-oms
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-oms
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-oms
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-oms:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-oms
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-oms
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-oms
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-oms
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-oms
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-suav-platform-supervision
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-suav-platform-supervision
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-suav-platform-supervision
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-suav-platform-supervision
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-suav-platform-supervision
          image: 192.168.186.11:8033/cmii/cmii-suav-platform-supervision:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-suav-platform-supervision
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-supervision
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-suav-platform-supervision
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-suav-platform-supervision
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-suav-platform-supervision
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-logistics
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-logistics
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-logistics
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-logistics
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-logistics
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-logistics:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-logistics
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-logistics
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-logistics
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-logistics
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-logistics
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-threedsimulation
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-threedsimulation
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-threedsimulation
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-threedsimulation
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform-threedsimulation
          image: 192.168.186.11:8033/cmii/cmii-uav-platform-threedsimulation:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform-threedsimulation
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-threedsimulation
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-threedsimulation
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-threedsimulation
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-threedsimulation
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform
    octopus.control: frontend-app-wdd
    app.kubernetes.io/app-version: 6.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform
    spec:
      imagePullSecrets:
        - name: harborsecret
      containers:
        - name: cmii-uav-platform
          image: 192.168.186.11:8033/cmii/cmii-uav-platform:6.1.1
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: ynydapp
            - name: APPLICATION_NAME
              value: cmii-uav-platform
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 50m
              memory: 50Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /etc/nginx/conf.d/nginx.conf
              subPath: nginx.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-pangu
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform
  namespace: ynydapp
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform
    octopus.control: frontend-app-wdd
    app.kubernetes.io/version: 6.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
